org.codehaus.groovy.ast.stmt

## Class ContinueStatement

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.stmt.Statement
    - - org.codehaus.groovy.ast.stmt.ContinueStatement

    public class ContinueStatement
    extends Statement

Represents a continue statement in a loop statement

Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`ContinueStatement()`
`ContinueStatement(java.lang.String label)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getLabel()`
`void` `visit(GroovyCodeVisitor visitor)`

### Methods inherited from class org.codehaus.groovy.ast.stmt.Statement

`addStatementLabel, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`

### Methods inherited from class org.codehaus.groovy.ast.ASTNode

`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContinueStatement

    public ContinueStatement()

#### ContinueStatement

    public ContinueStatement(java.lang.String label)

### Method Detail

#### getLabel

    public java.lang.String getLabel()

#### visit

    public void visit(GroovyCodeVisitor visitor)

Overrides:
  `visit` in class `ASTNode`